WSDiscovery11::Elements::Resolve(3pm)

NAME
WSDiscovery::Elements::Resolve

DESCRIPTION
Perl data type class for the XML Schema defined element Resolve from the namespace http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01.

METHODS

  new
 my $element = WSDiscovery::Elements::Resolve->new($data);

Constructor. The following data structure may be passed to new():

 { # WSDiscovery::Types::ResolveType
   EndpointReference =>  { # WSDiscovery::Types::EndpointReferenceType
     Address =>  { value => $some_value },
     ReferenceParameters =>  { # WSDiscovery::Types::ReferenceParametersType
     },
     Metadata =>  { # WSDiscovery::Types::MetadataType
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL